Page MenuHomePhabricator

Fix evaluation of global operators in C++
ClosedPublic

Authored by paulherman on Jul 27 2015, 3:20 PM.

Details

Reviewers
spyffe

Diff Detail

Event Timeline

paulherman updated this revision to Diff 30744.Jul 27 2015, 3:20 PM
paulherman retitled this revision from to Fix evaluation of global operators in C++.
paulherman updated this object.
paulherman added reviewers: clayborg, spyffe.
paulherman added a subscriber: lldb-commits.
clayborg resigned from this revision.Jul 27 2015, 3:35 PM
clayborg removed a reviewer: clayborg.

I will let Sean OK this as this is his area of expertise.

Sean, could you please have a look?

Also, why is the comparison with "Class" and "id" (and return;) in FindExternalVisibleDecls in ClangASTSource.cpp and ClangExpressionDeclMap.cpp?

Thanks!

chaoren added inline comments.
test/lang/cpp/global_operators/TestCppGlobalOperators.py
9

Please be careful of trailing whitespaces.

48

Please use self.get_process_working_directory() instead of cwd, so that this works for remote targets.

spyffe accepted this revision.Aug 19 2015, 9:03 AM
spyffe edited edge metadata.

This looks great to me. Thank you!

This revision is now accepted and ready to land.Aug 19 2015, 9:03 AM
paulherman closed this revision.Aug 20 2015, 12:30 PM
paulherman marked an inline comment as done.